Subject: bug#58892: 29.0.50; [PATCH] eglot-manual: Open the local info documentation

From: Eli Zaretskii <[email-masked]>
Date: Sun, 30 Oct 2022 16:02:13 +0200

> From: Felician Nemeth <[email-masked]>
> Cc: [email-masked], Lars Ingebrigtsen <[email-masked]>, Stefan
>  Monnier <[email-masked]>
> Date: Sun, 30 Oct 2022 14:32:39 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Felician Nemeth <[email-masked]>
> >> Date: Sun, 30 Oct 2022 10:05:25 +0100
> >> 
> >> Eglot now has a beautiful documentation in info format.  This patch
> >> let the user open it from Eglot's menu.
> >> 
> >> BTW, the menu is the mode-line and I think it cannot be accessed using
> >> only the keyboard.  Would it make sense to put this menu in the "Tools"
> >> part of the menu-bar as well?
> >
> > I'm unsure about any of this.  We don't do anything like that for any
> > other mode, AFAIR.  And Eglot's main features are already mentioned in
> > short in the Emacs user manual.
> 
> Currently, Eglot has a menu item that opens
> https://github.com/joaotavora/eglot#readme.  I think opening that URL
> doesn't make sense anymore since eglot.texi is the primary source of the
> documentation.   Is it OK then to remove this menu item?

Fine by me, but please wait for João to chime in.

> It seems I couldn't clearly articulate my other suggestion.  When I
> write this reply I can click on the mode-line to open message-mode-menu,
> but this menu is also available from the menu bar.  I'd tried to suggest
> something similar to Eglot.

It's okay to display a "Minor mode menu" from the mode-line's mode
lighter, yes.  We do that for other minor modes.  But we should be
careful not to make that menu too long.

> (The last item in message-mode-menu is "Message manual", so there is
> prior art to what the patch of this bug report tries to achieve.)

I think that's an exception rather than a rule.  Mode-specific menus
rarely have an item for their manuals.  And Eglot should need that
less than others, since most of its features just provide backends for
existing Emacs features.